from setuptools import setup

setup(
    name="inoftvocal",
    version="0.88",
    packages=["inoft_vocal_engine", "inoft_vocal_engine.cli", "inoft_vocal_engine.cli.deploy",
              "inoft_vocal_engine.utils", "inoft_vocal_engine.templates",
              "inoft_vocal_engine.templates.hello_world_1", "inoft_vocal_engine.templates.simple_adventure_game_1",
              "inoft_vocal_engine.templates.subscribe_google_user_to_notifications_group",
              "inoft_vocal_engine.speechs", "inoft_vocal_engine.databases",
              "inoft_vocal_engine.databases.dynamodb", "inoft_vocal_engine.skill_builder",
              "inoft_vocal_engine.platforms_handlers", "inoft_vocal_engine.platforms_handlers.alexa",
              "inoft_vocal_engine.platforms_handlers.alexa.response",
              "inoft_vocal_engine.platforms_handlers.alexa.audioplayer",
              "inoft_vocal_engine.platforms_handlers.simulator",
              "inoft_vocal_engine.platforms_handlers.simulator.request_samples",
              "inoft_vocal_engine.platforms_handlers.simulator.request_samples.alexa",
              "inoft_vocal_engine.platforms_handlers.simulator.request_samples.google",
              "inoft_vocal_engine.platforms_handlers.simulator.request_samples.bixby",
              "inoft_vocal_engine.platforms_handlers.dialogflow",
              "inoft_vocal_engine.platforms_handlers.samsungbixby",
              "inoft_vocal_engine.platforms_handlers.siri",
              "inoft_vocal_engine.platforms_handlers.endpoints_providers",
              "inoft_vocal_engine.tests", "inoft_vocal_engine.plugins",
              "inoft_vocal_engine.audio_editing",
              "inoft_vocal_engine.audio_editing.aws_clients"],
    include_package_data=True,
    install_requires=["PyYAML", "cerberus", "boto3", "click", "inflect", "pydub"],
    entry_points={
        "console_scripts": [
            "inoft = inoft_vocal_engine.cli.cli_index:cli",
            "inoftvocal = inoft_vocal_engine.cli.cli_index:cli",
        ],
    },
    url="https://github.com/Robinson04/inoft_vocal_engine",
    download_url="https://github.com/Robinson04/inoft_vocal_engine/archive/0.62.3.tar.gz",
    license="MIT",
    author="Inoft",
    author_email="robinson@inoft.com",
    description="Create advanced cross-platform skills for Alexa, Google Assistant and Samsung Bixby",
)

